package routers

import (
	beego "github.com/beego/beego/v2/server/web"
	"github.com/beego/beego/v2/server/web/context/param"
)

func init() {

    beego.GlobalControllerRouter["eta/eta_pub/controllers:ImageController"] = append(beego.GlobalControllerRouter["eta/eta_pub/controllers:ImageController"],
        beego.ControllerComments{
            Method: "Ppt2Image",
            Router: `/ppt2img`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_pub/controllers:ImageController"] = append(beego.GlobalControllerRouter["eta/eta_pub/controllers:ImageController"],
        beego.ControllerComments{
            Method: "Base64Upload",
            Router: `/svg_to_png`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_pub/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_pub/controllers:ReportController"],
        beego.ControllerComments{
            Method: "HandleVideoDecibel",
            Router: `/handle_video_decibel`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_pub/controllers:WechatController"] = append(beego.GlobalControllerRouter["eta/eta_pub/controllers:WechatController"],
        beego.ControllerComments{
            Method: "GetAccessToken",
            Router: `/access_token`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_pub/controllers:WechatController"] = append(beego.GlobalControllerRouter["eta/eta_pub/controllers:WechatController"],
        beego.ControllerComments{
            Method: "SendCategoryTemplateMsg",
            Router: `/send_category_template_msg`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_pub/controllers:WechatController"] = append(beego.GlobalControllerRouter["eta/eta_pub/controllers:WechatController"],
        beego.ControllerComments{
            Method: "SendTemplateMsg",
            Router: `/send_template_msg`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

}
